## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

POST

/
v2.0

/snapshots

/{snapshotId}

/downloadlink

Try it

Create a Download Link

### cURL

```bash
curl --request POST \
  --url https://api-trial.cognigy.ai/new/v2.0/snapshots/{snapshotId}/downloadlink \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "projectId": "<string>"
}
'
```

### Python

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/snapshots/{snapshotId}/downloadlink"

payload = { "projectId": "<string>" }
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript

```javascript
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({projectId: '<string>'})
};

fetch('https://api-trial.cognigy.ai/new/v2.0/snapshots/{snapshotId}/downloadlink', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/snapshots/{snapshotId}/downloadlink",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "POST",\
  CURLOPT_POSTFIELDS => json_encode([\
    'projectId' => '<string>'\
  ]),\
  CURLOPT_HTTPHEADER => [\
    "Content-Type: application/json",\
    "X-API-Key: <api-key>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/snapshots/{snapshotId}/downloadlink"

payload := strings.NewReader("{\n  \"projectId\": \"<string>\"\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("X-API-Key", "<api-key>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Response Status Codes

- **200** : Snapshot download link retrieved.
- **400** : Bad Request
- **401** : Unauthorized
- **402** : Payment Required
- **403** : Forbidden
- **404** : Not Found
- **405** : Method Not Allowed
- **409** : Conflict
- **413** : Payload Too Large
- **500** : Internal Server Error
- **501** : Not Implemented
- **502** : Bad Gateway
- **503** : Service Unavailable
- **504** : Gateway Timeout

### Sample Response

```json
{
  "downloadLink": "<string>"
}
```

### Error Response Samples

```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Unauthorized",
  "title": "Unauthorized Error",
  "status": 401,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 401,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

### Authorizations

- **APIKeyHeader** : Supply the API Key in the HTTP-Header.

### Headers

- **Accept** : The `Accept` header specifies the media type that the client expects in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. The default value is `application/json`.

### Path Parameters

- **snapshotId** : The unique identifier for the Snapshot. Required string length: `24`; Pattern: `^[a-z0-9]{24}$`

### Body

- **projectId** : The unique identifier for the Project. Required string length: `24`; Pattern: `^[a-z0-9]{24}$`

### Response

- **200** : Snapshot download link retrieved.
